SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001981: openvpn client should display only necessary configuration fields - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001981Endian FirewallNetwork related (VPN, uplinks)public2009-07-01 13:302010-11-22 12:08
Reporterpeter-endian 
Assigned Tochristian-endian 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionfutureFixed in Version2.4.1 
Summary0001981: openvpn client should display only necessary configuration fields
Descriptionin advanced configuration dialogue the following fields should be hidden with javascript:

if routing type is routed:
hide:
 - bridge to
 - block dhcp

if routing type is bridged:
hide:
 - nat

if protocol is udp:
hide:
 - all http proxy configuration fields

show the fields if the other value is selected.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001506closedpeter-endian openvpn bridged mode should give possibility to select the zone to which it should bridge 
related to 0002137closedchristian-endian openvpn gw2gw client GUI changes 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-07-01 13:30 peter-endian New Issue
2009-07-01 13:30 peter-endian Status new => assigned
2009-07-01 13:30 peter-endian Assigned To => peter-endian
2009-07-01 13:30 peter-endian Issue generated from: 0001506
2009-07-01 13:30 peter-endian Relationship added related to 0001506
2009-07-01 13:31 peter-endian Assigned To peter-endian =>
2009-07-01 13:31 peter-endian Target Version => 2.3
2009-09-03 17:21 peter-endian Relationship added related to 0002137
2009-10-27 13:37 peter-endian Target Version 2.3 => 2.3.1
2010-03-03 15:46 ra-endian Fixed in Version => future
2010-03-03 15:48 ra-endian Fixed in Version future =>
2010-03-03 15:48 ra-endian Target Version 2.3.1 => future
2010-03-05 15:24 christian-endian Status assigned => resolved
2010-03-05 15:24 christian-endian Resolution open => fixed
2010-03-05 15:24 christian-endian Assigned To => christian-endian
2010-11-22 12:08 peter-endian Fixed in Version => 2.4.1
2010-11-22 12:08 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker